<?xml version="1.0" encoding="utf-8"?>
<merge android:id="@id/ll_main_weather" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <View android:id="@id/main_view_twodays_bg" android:background="@drawable/main_twodays_bg" android:layout_width="fill_parent" android:layout_height="@dimen/homepage_bottom_two_day_height" android:layout_alignParentBottom="true" />
    <com.moji.mjad.common.view.CommonAdView android:gravity="center_horizontal" android:id="@id/ad_front_top" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_alignParentTop="true" />
    <RelativeLayout android:id="@id/main_condition" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_below="@id/ad_front_top" android:layout_alignParentLeft="true" android:layout_alignParentStart="true">
        <TextView android:textSize="@dimen/main_temperature_text_size" android:textColor="@color/main_condition_text_color_selector" android:id="@id/weather_info" android:duplicateParentState="true" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/main_content_left_margin" android:layout_marginTop="@dimen/main_temperature_margin_top" android:includeFontPadding="false" android:layout_alignParentLeft="true" android:layout_alignParentTop="true" />
        <TextView android:textSize="@dimen/main_weather_desc_text_size" android:textColor="@color/main_condition_text_color_selector" android:id="@id/tv_weather_des" android:duplicateParentState="true" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="3.0dip" android:layout_marginTop="-4.0dip" android:includeFontPadding="false" android:layout_toRightOf="@id/weather_info" android:layout_alignTop="@id/weather_info" />
        <ImageView android:id="@id/main_condition_help" android:background="@drawable/main_condition_help" android:duplicateParentState="true" android:layout_width="18.0dip" android:layout_height="18.0dip" android:layout_marginLeft="-21.0dip" android:scaleType="centerInside" android:layout_toRightOf="@id/weather_info" android:layout_alignBottom="@id/weather_info" />
        <com.moji.mjad.common.view.CommonAdView android:gravity="center_horizontal" android:id="@id/ad_weather_top_icon" android:visibility="gone" android:duplicateParentState="true" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/_10dp" android:layout_toRightOf="@id/weather_info" android:layout_alignBottom="@id/weather_info" />
        <LinearLayout android:orientation="horizontal" android:id="@id/layout_main_condition_ll" android:duplicateParentState="true" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="20.0dip" android:layout_below="@id/weather_info" android:layout_alignLeft="@id/weather_info">
            <include android:duplicateParentState="true" layout="@layout/layout_main_condition_one" />
            <include android:duplicateParentState="true" layout="@layout/layout_main_condition_two" />
        </LinearLayout>
        <ViewStub android:id="@id/condition_other_flipper_stub" android:duplicateParentState="true" android:layout="@layout/layout_main_conditon_flipper" android:inflatedId="@id/main_condition_other_flipper" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="20.0dip" android:layout_below="@id/weather_info" android:layout_alignLeft="@id/weather_info" />
    </RelativeLayout>
    <ViewStub android:id="@id/short_curve_stub" android:layout="@layout/layout_main_short_curve" android:inflatedId="@id/rl_short_time_curve" android:layout_width="@dimen/x200" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/main_content_left_margin" android:layout_marginTop="10.0dip" android:layout_below="@id/main_condition" android:layout_alignParentLeft="true" />
    <ViewStub android:id="@id/short_curve_stub_text" android:layout="@layout/layout_main_short_curve_text" android:inflatedId="@id/rl_short_time_curve" android:layout_width="@dimen/x200" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/main_content_left_margin" android:layout_marginTop="10.0dip" android:layout_below="@id/main_condition" android:layout_alignParentLeft="true" />
    <LinearLayout android:orientation="vertical" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="@dimen/main_temperature_margin_top" android:layout_marginRight="@dimen/main_content_right_margin" android:layout_below="@id/ad_front_top" android:layout_alignParentRight="true">
        <com.moji.mjad.common.view.CommonAdView android:gravity="right" android:id="@id/ad_share_under" android:visibility="gone" android:layout_width="@dimen/main_right_area_width" android:layout_height="wrap_content" />
        <ViewStub android:gravity="right" android:id="@id/aqi_area_stub" android:layout="@layout/layout_main_condition_aqi" android:inflatedId="@id/main_condition_aqi" android:layout_width="@dimen/main_right_area_width" android:layout_height="@dimen/main_content_aqi_height" android:layout_marginTop="@dimen/main_right_area_vertical_margin" />
        <ViewStub android:gravity="right" android:id="@id/warn_area_stub" android:layout="@layout/layout_flipper_main_warn" android:inflatedId="@id/main_condition_warn" android:layout_width="@dimen/main_right_area_width" android:layout_height="@dimen/main_right_area_height" android:layout_marginTop="@dimen/main_right_area_vertical_margin" />
        <ViewStub android:gravity="right" android:id="@id/short_area_stub" android:layout="@layout/layout_main_short" android:inflatedId="@id/main_condition_short" android:layout_width="@dimen/main_right_area_width" android:layout_height="@dimen/main_right_area_height" android:layout_marginTop="@dimen/main_right_area_vertical_margin" />
    </LinearLayout>
    <com.moji.mjweather.weather.view.TwoDaysForecastView android:id="@id/main_two_days_forecast" android:layout_width="fill_parent" android:layout_height="@dimen/homepage_bottom_two_day_height" android:layout_alignParentBottom="true" />
    <com.moji.mjad.common.view.CommonAdView android:id="@id/ca_discount" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/main_content_left_margin" android:layout_marginBottom="10.0dip" android:layout_above="@id/main_two_days_forecast" />
    <LinearLayout android:gravity="bottom|center|right" android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/_10dp" android:baselineAligned="false" android:layout_above="@id/main_two_days_forecast">
        <RelativeLayout android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="1.0">
            <RelativeLayout android:id="@id/rl_avatar_area" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_alignParentRight="true" android:layout_alignParentBottom="true">
                <com.moji.mjweather.weather.avatar.AvatarView android:id="@id/avatar_view" android:layout_width="wrap_content" android:layout_height="wrap_content" />
            </RelativeLayout>
            <com.moji.mjweather.weather.window.WindowView android:gravity="right" android:layout_gravity="bottom" android:id="@id/window" android:layout_width="@dimen/window_max_width" android:layout_height="fill_parent" android:layout_alignBottom="@id/rl_avatar_area" android:layout_alignParentLeft="true" />
            <LinearLayout android:gravity="center_horizontal" android:orientation="vertical" android:id="@id/ll_right_icons" android:paddingRight="0.0dip" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="@dimen/main_content_right_margin" android:layout_marginBottom="@dimen/_8dp" android:layout_alignParentRight="true" android:layout_alignParentBottom="true">
                <ImageView android:id="@id/iv_test_scene" android:layout_width="@dimen/ad_voice_width" android:layout_height="@dimen/ad_voice_width" android:layout_marginTop="@dimen/_10dp" android:layout_marginBottom="@dimen/_10dp" android:src="@drawable/short_update_icon" />
                <com.moji.mjad.common.view.CommonAdView android:id="@id/ad_voice_broadcast_above" android:visibility="invisible" android:layout_width="@dimen/ad_voice_width" android:layout_height="@dimen/ad_voice_width" android:layout_marginTop="@dimen/_10dp" android:layout_marginBottom="@dimen/_10dp" android:layout_centerHorizontal="true" />
                <ImageView android:id="@id/iv_voice" android:background="@drawable/main_voice_1" android:layout_width="@dimen/ad_voice_width" android:layout_height="@dimen/ad_voice_width" android:layout_marginTop="@dimen/_10dp" android:layout_marginBottom="@dimen/_10dp" />
                <com.moji.mjad.common.view.CommonAdView android:id="@id/ad_voice_broadcast_under" android:visibility="invisible" android:layout_width="@dimen/ad_voice_width" android:layout_height="@dimen/ad_voice_width" android:layout_marginTop="@dimen/_10dp" android:layout_marginBottom="@dimen/main_voice_bottom_ad_margin_bottom" android:layout_centerHorizontal="true" />
            </LinearLayout>
        </RelativeLayout>
    </LinearLayout>
</merge>